Debian Bug report logs - #391650
'dpkg-reconfigure debconf' not works

version graph

Package: debconf; Maintainer for debconf is Debconf Developers <debconf-devel@lists.alioth.debian.org>; Source for debconf is src:debconf.

Reported by: Thanatermesis - Elive <thanatermesis.elive@gmail.com>

Date: Sat, 7 Oct 2006 21:18:07 UTC

Severity: serious

Found in version debconf/1.5.5

Fixed in version debconf/1.5.6

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#391650; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Thanatermesis - Elive <thanatermesis.elive@gmail.com>:
New Bug report received and forwarded. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thanatermesis - Elive <thanatermesis.elive@gmail.com>
To: submit@bugs.debian.org
Subject: 'dpkg-reconfigure debconf' not works
Date: Sat, 07 Oct 2006 20:48:31 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Package: debconf
Version: 1.5.5

On the new version of debconf (to aparently now remembers the before
frontend type selected, before just try's the better option if the
actual fails), don't permit to dpkg-reconfigure debconf if your last
selection is 'noninteractive', the manual way to solve this is
'dpkg-reconfigure -fdialog debconf', but of course not is the idea
when you want just to configure this

- --
Do you want a new Linux experience ? Just follow my legacy...

Verify the authenticity of my emails, takes my PGP Public key from my
own server
http://thanatermesis.org/mediawiki/index.php/Gpg_Keys_Signatures
- --
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFJ/Z/isTnwngKr/ARAsa7AJ4+Wp4ncCz7wZ4VpZqYXWN2erIsyACfdzJR
gUyT7zGpO89XEzp2F40ol18=
=EA/m
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#391650; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 391650@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Thanatermesis - Elive <thanatermesis.elive@gmail.com>, 391650@bugs.debian.org
Subject: Re: [Debconf-devel] Bug#391650: 'dpkg-reconfigure debconf' not works
Date: Sat, 7 Oct 2006 22:29:03 -0400
[Message part 1 (text/plain, inline)]
Thanatermesis - Elive wrote:
> On the new version of debconf (to aparently now remembers the before
> frontend type selected, before just try's the better option if the
> actual fails), don't permit to dpkg-reconfigure debconf if your last
> selection is 'noninteractive', the manual way to solve this is
> 'dpkg-reconfigure -fdialog debconf', but of course not is the idea
> when you want just to configure this

I'm afraid that you're mistaken: debconf's behavior in frontend
selection has not changed recently, and moreover debconf has a special
exception coded into it to use the dialog frontend for dpkg-reconfigure
if it's configured to use the noninteractive frontend. (This has been
the case since 2005.)

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Tags added: unreproducible Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#391650; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Thanatermesis - Elive <thanatermesis.elive@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #17 received at 391650@bugs.debian.org (full text, mbox):

From: Thanatermesis - Elive <thanatermesis.elive@gmail.com>
To: 391650@bugs.debian.org, Joey Hess <joeyh@debian.org>
Subject: Better description of the problem + example to try
Date: Sun, 08 Oct 2006 19:50:27 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Ok, my report is not totally correct before, i have looked a little to
it and you can try this steps:

1) set debconf to use gnome:  dpkg-reconfigure debconf
2) look if gnome interface works:  dpkg-reconfigure -fgnome console-data
3) if works, try a simple 'dpkg-reconfigure console-data', your
debconf is actually set to use gnome, but you have a error message saying:

 debconf: no se pudo inicializar la interfaz: GNOME
 debconf: (Can't locate Debconf/FrontEnd/GNOME.pm in @INC (@INC
contains: /etc/perl /usr/local/lib/perl/5.8.8
/usr/local/share/perl/5.8.8 /usr/lib/perl5 /usr/share/perl5
/usr/lib/perl/5.8 /usr/share/perl/5.8 /usr/local/lib/site_perl .) at
(eval 19) line 2.)
 debconf: probando ahora la interfaz: Noninteractive
 Looking for keymap to install:

Here happens 2 things:

1) debconf not is launched how Gnome (how is actually set)
2) debconf switch to noninteractive instead of dialog (your before
default front-end and the one to try to switch in the older versions
of debconf, atleast in my experience)

Tested on the version 1.5.3 and works good, and fails after to update
to 1.5.5



Thanatermesis

- --
Do you want a new Linux experience ? Just follow my legacy...

Verify the authenticity of my emails, takes my PGP Public key from my
own server
http://thanatermesis.org/mediawiki/index.php/Gpg_Keys_Signatures
- --
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFKTpiisTnwngKr/ARAprNAJ9Gq0hTXNmQfkNTeykaq3nBcfUN5wCgoq1T
tGjX34vcgln5Z+WBjLBpyYY=
=p8DF
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#391650; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Miguel Gea Milvaques <xerakko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #22 received at 391650@bugs.debian.org (full text, mbox):

From: Miguel Gea Milvaques <xerakko@debian.org>
To: 391650@bugs.debian.org
Subject: bug reproduced
Date: Mon, 09 Oct 2006 00:15:07 +0200
[Message part 1 (text/plain, inline)]
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I've reproduced this bug on my machine.

The problem is in templates file. The Choices line contains "GNOME"
instead "Gnome".

Attached patch solve it.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFKXhrNTNQylgICMQRAvrZAKCllH5g165Kw51S3I4h33qlrHH8wACfWrn3
T2UgQKrjUF9UaAp3OGuTbnM=
=1iQc
-----END PGP SIGNATURE-----
[patch.diff (text/x-gettext-translation-template, inline)]
--- debconf-1.5.5/debian/templates	2006-09-13 19:33:59.000000000 +0200
+++ ../debconf-1.5.5/debian/templates	2006-10-08 22:58:10.000000000 +0200
@@ -1,7 +1,7 @@
 Template: debconf/frontend
 Type: select
 #flag:translate!:3,4
-__Choices: Dialog, Readline, GNOME, KDE, Editor, Noninteractive
+__Choices: Dialog, Readline, Gnome, KDE, Editor, Noninteractive
 Default: Dialog
 _Description: Interface to use:
  Packages that use debconf for configuration share a common look and feel.

Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Thanatermesis - Elive <thanatermesis.elive@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 391650-close@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 391650-close@bugs.debian.org
Subject: Bug#391650: fixed in debconf 1.5.6
Date: Sun, 08 Oct 2006 11:17:16 -0700
Source: debconf
Source-Version: 1.5.6

We believe that the bug you reported is fixed in the latest version of
debconf, which is due to be installed in the Debian FTP archive:

debconf-doc_1.5.6_all.deb
  to pool/main/d/debconf/debconf-doc_1.5.6_all.deb
debconf-english_1.5.6_all.deb
  to pool/main/d/debconf/debconf-english_1.5.6_all.deb
debconf-i18n_1.5.6_all.deb
  to pool/main/d/debconf/debconf-i18n_1.5.6_all.deb
debconf-utils_1.5.6_all.deb
  to pool/main/d/debconf/debconf-utils_1.5.6_all.deb
debconf_1.5.6.dsc
  to pool/main/d/debconf/debconf_1.5.6.dsc
debconf_1.5.6.tar.gz
  to pool/main/d/debconf/debconf_1.5.6.tar.gz
debconf_1.5.6_all.deb
  to pool/main/d/debconf/debconf_1.5.6_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 391650@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated debconf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  8 Oct 2006 14:09:45 -0400
Source: debconf
Binary: debconf-english debconf-doc debconf-utils debconf-i18n debconf
Architecture: source all
Version: 1.5.6
Distribution: unstable
Urgency: medium
Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
Changed-By: Joey Hess <joeyh@debian.org>
Description: 
 debconf    - Debian configuration management system
 debconf-doc - debconf documentation
 debconf-english - small footprint English-only debconf
 debconf-i18n - full internationalization support for debconf
 debconf-utils - debconf utilities
Closes: 374950 375064 376116 381619 388016 388679 389939 391173 391559 391614 391650
Changes: 
 debconf (1.5.6) unstable; urgency=medium
 .
   [ Joey Hess ]
   * Fix names of Kde and Gnome frontends in the frontend selection question.
     Closes: #389939, #388679, #391650
   * Set IFS to a sane value before calling printf, in case the maintainer
     script does something nasty to it. Closes: #381619
   * Dialog backtitle unbranding. Closes: #376116
 .
   [ Christian Perrier ]
   * Correct a grammar error in the french man page translation
 .
   [ Programs Translations ]
     - Updated French.
     - Updated Khmer. Closes: #375064
     - Updated Galician. Closes: #391173
     - Updated Spanish.
     - Updated Catalan.
     - Updated Slovak.
     - Updated Dzongkha.
     - Updated Norwegian Bokmal.
     - Updated Ukrainian
     - Updated Swedish
     - Updated Basque
     - Updated Dutch
     - Updated Brazilian Portuguese
     - Updated Hungarian
     - Updated Finnish
     - Updated Japanese
     - Updated Czech
     - Updated German
     - Updated Romanian
     - Updated Turkish
     - Updated Polish
     - Updated Italian. Closes: #391559
     - Updated Traditional Chinese
     - Updated Arabic. Closes: #391614
     - Updated Russian
 .
   [ Debconf Translations ]
     - Updated Dzongkha. Closes: #388016
     - Added Nepali. Closes: #374950
Files: 
 7add7959f126468acf675525782a39aa 810 admin optional debconf_1.5.6.dsc
 2252f4e4d8d141f326f6c6a4bf58db31 645164 admin optional debconf_1.5.6.tar.gz
 32c88d406b677263a3c09919e8543663 136590 admin important debconf_1.5.6_all.deb
 8fb20427d09aa7487653eec402bda391 149202 admin important debconf-i18n_1.5.6_all.deb
 8856de8d94a21a472173efffb3205a5e 854 admin extra debconf-english_1.5.6_all.deb
 75ba374cf431f516e57fefdc6ce99131 194572 doc optional debconf-doc_1.5.6_all.deb
 2377fefb1d8107c31348a5070eead9f9 40784 devel optional debconf-utils_1.5.6_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFKT8m2tp5zXiKP0wRAjBTAJ0f6zJcEhPWybGGBrxkqoDKTTW0/wCgqIKf
fS6+FdgEXqQ2hmEN7+QLR0g=
=uL3K
-----END PGP SIGNATURE-----




Tags removed: unreproducible Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `serious' from `normal' Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 19:36:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 01:45:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.